## org.firebirdsql.management
Class FBUserManager

    java.lang.Object
      org.firebirdsql.management.FBServiceManager
          org.firebirdsql.management.FBUserManager

All Implemented Interfaces:
  ServiceManager, UserManager

    public class FBUserManager

extends FBServiceManager
implements UserManager

Implements the display/add/delete/modify user functionality of the Firebird Services API.

Author:
  Steven Jardine

Field Summary

Fields inherited from class org.firebirdsql.management.FBServiceManager
`BUFFER_SIZE`

Constructor Summary
`FBUserManager()` Create a new instance of `FBMaintenanceManager` based on the default GDSType.
`FBUserManager(GDSType gdsType)` Create a new instance of `FBMaintenanceManager` based on a given GDSType.
`FBUserManager(String gdsType)` Create a new instance of `FBMaintenanceManager` based on a given GDSType.

Method Summary
`void` `add(User user)` Add a user to the Firebird Security Database.
`void` `delete(User user)` Delete a user to the Firebird Security Database.
`Map` `getUsers()` Return all valid users in the Firebird Security Database.
`void` `update(User user)` Update a user to the Firebird Security Database.

Methods inherited from class org.firebirdsql.management.FBServiceManager
`attachServiceManager, createRequestBuffer, detachServiceManager, executeServicesOperation, getDatabase, getGds, getHost, getLogger, getPassword, getPort, getServiceName, getUser, queueService, setDatabase, setHost, setLogger, setPassword, setPort, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.management.ServiceManager
`getDatabase, getHost, getLogger, getPassword, getPort, getUser, setDatabase, setHost, setLogger, setPassword, setPort, setUser`

Constructor Detail

### FBUserManager

    public FBUserManager()

  Create a new instance of `FBMaintenanceManager` based on the default GDSType.

### FBUserManager

    public FBUserManager(String gdsType)

  Create a new instance of `FBMaintenanceManager` based on a given GDSType.

  Parameters:
    `gdsType` - type must be PURE_JAVA, EMBEDDED, or NATIVE

### FBUserManager

    public FBUserManager(GDSType gdsType)

  Create a new instance of `FBMaintenanceManager` based on a given GDSType.

  Parameters:
    `gdsType` - The GDS implementation type to use

Method Detail

### add

    public void add(User user)
             throws SQLException,
                    IOException

  Description copied from interface: `UserManager`
  Add a user to the Firebird Security Database.

  Specified by:
    `add` in interface `UserManager`
  Parameters:
    `user` - to the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

### delete

    public void delete(User user)
                throws SQLException,
                       IOException

  Description copied from interface: `UserManager`
  Delete a user to the Firebird Security Database.

  Specified by:
    `delete` in interface `UserManager`
  Parameters:
    `user` - to the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

### update

    public void update(User user)
                throws SQLException,
                       IOException

  Description copied from interface: `UserManager`
  Update a user to the Firebird Security Database.

  Specified by:
    `update` in interface `UserManager`
  Parameters:
    `user` - to the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

### getUsers

    public Map getUsers()
                 throws SQLException,
                        IOException

  Description copied from interface: `UserManager`
  Return all valid users in the Firebird Security Database.

  Specified by:
    `getUsers` in interface `UserManager`
  Returns:
    all valid users in the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

Copyright © 2001-2010. All Rights Reserved.